PSTREE(1)

NAZWA
pstree - wyświetla drzewo procesów

SKŁADNIA
pstree [-a, --arguments] [-c, --compact] [-h, --highlight-all, -Hpid, --highlight-pid pid] [-g] --show-pgids] [-l, --long] [-n, --numeric-sort] [-N, --ns-sortns [-p, --show-pids] [-s, --show-parents] [-S, --ns-changes] [-u, --uid-changes] [-Z, --security-context] [-A, --ascii, -G, --vt100, -U, --unicode] [pid, user]
pstree -V, --version

OPIS
pstree pokazuje uruchomione procesy w formie drzewa. Korzeń tego drzewa znajduje się albo w pid albo w init, jeśli pid pominięto. Jeżeli podano nazwę użytkownika, to pokazywane są wszystkie drzewa procesów zakorzenione w procesach tego użytkownika.

pstree wizualnie łączy identyczne gałęzie umieszczając je w nawiasach kwadratowych i poprzedzając liczbą powtórzeń, na przykład:

    init-+-getty
         |-getty
         |-getty
         `-getty

staje się

    init---4*[getty]

Wątki potomne procesu są przypisane do procesu rodzica i są pokazywane jako nazwa procesu w nawiasach klamrowych, na przykład:

    icecast2---13*[{icecast2}]

Jeśli pstree zostanie wywołany jako pstree.x11, to będzie czekał na naciśnięcie przez użytkownika klawisza enter. Jest to użyteczne, kiedy pstree jest uruchomiony w xterminalu.

Niektóre jądra lub parametry montowania, takie jak opcja hidepid systemu procfs, będą ukrywały pewne informacje dla niektórych procesów. W takich sytuacjach pstree spróbuje zbudować drzewo bez tych informacji i pokaże znaki zapytania zamiast nazw procesów.

OPCJE

-a  Pokazuje argumenty wiersza poleceń. Jeżeli wiersz poleceń procesu jest przeniesiony na partycję wymiany (swapped out), to proces ten jest pokazywany w nawiasach. -a niejawnie wyłącza formę zwartą dla procesów, ale nie dla wątków.

-A  Używa znaków ASCII do rysowania drzewa.

-c  Wyłącza formę zwartą identycznych poddrzew. Domyślnie, jeśli jest to możliwe, poddrzewa są łączone.

-G  Posługuje się znakami ramek VT100.

-h  Wyróżnia podświetleniem (highlighting) bieżący proces i jego przodków. Nie działa, jeśli terminal nie obsługuje wyróżnienia albo w pokazywanym poddrzewie nie występuje proces bieżący ani żaden z jego przodków.

-H  Podobne do -h, ale wyróżnia podany proces. Inaczej niż przy -h, pstree zawodzi, gdy posłużono się -H, a wyróżnianie nie jest dostępne.

-g  Pokazuje identyfikatory grup procesów (PGID). Wyświetlane są jako liczby dziesiętne w nawiasach po każdej nazwie procesu. -g niejawnie wyłącza formę zwartą. Jeśli wyświetlane są zarówno identyfikatory procesów, jak i identyfikatory grup procesów, to najpierw są pokazywane identyfikatory procesów.

-l  Wyświetla długie wiersze. Domyślnie wiersze są obcinane albo do wartości zmiennej środowiskowej COLUMNS albo do szerokości ekranu. Jeśli żadna z tych metod nie zadziała, to używana jest wartość domyślna 132 kolumn.

-n  Sortuje procesy o tym samym przodku w kolejności PID zamiast według nazwy (sortowanie numeryczne).

-N  Pokazuje indywidualne drzewa dla każdej podanej przestrzeni nazw lub dla każdego podanego typu. Dostępne typy to: ipc, mnt, net, pid, user, uts. Zwyczajni użytkownicy nie mają dostępu do informacji o procesach innych użytkowników, tak więc wyjście tej opcji będzie ograniczone.

-p  Pokazuje identyfikatory procesów (PID). Wyświetlane są jako liczby dziesiętne w nawiasach po każdej nazwie procesu. -p niejawnie wyłącza formę zwartą.

-s  Pokazuje rodzica podanego procesu.

-S  Pokazuje zamienianie się przestrzeni nazw. Podobnie do opcji -N wyjście jest ograniczone, jeśli pstree jest uruchomiony przez zwykłego użytkownika.

-u  Pokazuje zamienianie się uid. W przypadku, gdy identyfikator użytkownika procesu różni się od identyfikatora użytkownika jego rodzica, nowy uid pokazywany jest w nawiasach po nazwie.

-U  Posługuje się znakami ramek UTF-8 (Unicode). Pod Linuksem 1.1-54 i nowszym, tryb UTF-8 wprowadzany jest na konsoli przez echo -e ' 33%8' i opuszczany przez echo -e ' 33%@'.

-V  Wyświetla informację o wersji.

-Z  (SELinux). Pokazuje kontekst bezpieczeństwa. Opcja ta działa tylko wtedy, gdy pstree został skompilowany ze wsparciem dla SELinuksa.

PLIKI

/proc
    położenie systemu plików proc

BŁĘDY
Niektóre zestawy znaków mogą być niekompatybilne ze znakami VT100.

ZOBACZ TAKŻE
ps(1), top(1).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 22.21 oryginału.